# Asterisk Project : Asterisk 12 AGICommand_database get

Added by wikibot , edited by wikibot on Aug 29, 2013

# DATABASE GET

### Synopsis

Gets database value

### Description

Retrieves an entry in the Asterisk database for a given family and key.

Returns `0` if key is not set. Returns `1` if key is set and returns the variable in parenthesis.

Example return code: 200 result=1 (testvariable)

### Syntax

    DATABASE GET FAMILY KEY

##### Arguments

- `family`
- `key`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown